from django.contrib import admin
from django.urls import include, path
from rest_framework_simplejwt.views import TokenObtainPairView, TokenRefreshView

from kudosdeluxe.views import GetStateView, GetStravaTokenView, StravaOAuthCallbackView, AppleLoginView

urlpatterns = [
    path("", include("web.urls", namespace="web")),
    path("airspacecheck", include("airspacecheck.urls", namespace="airspacecheck")),
    path("running", include("running.urls", namespace="running")),
    path("kudosdeluxe/", include("kudosdeluxe.urls", namespace="kudosdeluxe")),
    path("admin/", admin.site.urls),
    path("accounts/", include("allauth.urls")),
    #
    path("strava/callback/", StravaOAuthCallbackView.as_view(), name="strava_callback"),
    path(
        "api/strava/get-token/", GetStravaTokenView.as_view(), name="get_strava_token"
    ),
    path("api/strava/get-state/", GetStateView.as_view(), name="get_state"),
    path('api/accounts/apple/login/', AppleLoginView.as_view(), name='apple_login'),
    #
    path("api/token/", TokenObtainPairView.as_view(), name="token_obtain_pair"),
    path("api/token/refresh/", TokenRefreshView.as_view(), name="token_refresh"),
]
